#ifndef WORLD_H
#define WORLD_H

#include <stdint.h>
#include "entity.h"
#include "grid.h"

typedef struct {
    uint32_t seed;
    
    Entity *entities;
    uint16_t max_entities;

    Grid grid;
} Game_World;

Game_World *game_world_create(uint32_t seed, uint16_t level_width, uint16_t level_height);
void game_world_destroy(Game_World *world);

#endif